import Vue from 'vue'
import Vuex from 'vuex'

import app from './app'

import bank from '@/store/modules/bank'
import bankPaymentType from '@/store/modules/bankPaymentType'
import cart from '@/store/modules/cart'
import chequeType from '@/store/modules/chequeType'
import currency from '@/store/modules/currency'
import date from '@/store/modules/date'
import journal from '@/store/modules/journal'
import payment from '@/store/modules/payment'
import picking from '@/store/modules/picking'
import product from '@/store/modules/product'
import supplier from '@/store/modules/supplier'
import user from '@/store/modules/user'
import purchaseOrder from '@/store/modules/purchaseOrder'
import stockPicking from '@/store/modules/stockPicking'
import warehouse from '@/store/modules/warehouse'

Vue.use(Vuex)

const store = new Vuex.Store({
    ...app,
    strict: false,
    modules: {
        bank,
        bankPaymentType,
        cart,
        chequeType,
        currency,
        date,
        journal,
        payment,
        picking,
        product,
        supplier,
        user,
        purchaseOrder,
        stockPicking,
        warehouse
    }
})

export default store