const state = {
    date: null,
    loadingDate: true
}

const getters = {
    date(state) {
        return state.date
    },
    loadingDate(state) {
        return state.loadingDate
    }
}

const mutations = {
    setDate(state, payload) {
        state.date = payload
    },
    setLoadingDate(state, payload) {
        state.loadingDate = !!payload
    }
}

const actions = {
    initDate({ commit }, payload) {
        commit('setDate', payload)
        commit('setLoadingDate', false)
    },
    resetDate({ commit }, payload) {
        commit('setLoadingDate', true)
        commit('setDate', [])
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}