const state = {
    pickingTypes: [],
    loadingPickingTypes: true
}

const getters = {
    pickingTypes(state) {
        return state.pickingTypes
    },
    loadingPickingTypes(state) {
        return state.loadingPickingTypes
    }
}

const mutations = {
    setPickingTypes(state, payload) {
        state.pickingTypes = [...payload]
    },
    setLoadingPickingTypes(state, payload) {
        state.loadingPickingTypes = !!payload
    }
}

const actions = {
    initPickingTypes({ commit }, payload) {
        commit('setPickingTypes', payload)
        commit('setLoadingPickingTypes', false)
    },
    resetPicking({ commit }, payload) {
        commit('setLoadingPickingTypes', true)
        commit('setPickingTypes', [])
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}