const state = {
    user: null,
    loadingUser: true
}

const getters = {
    user(state) {
        return state.user
    },
    companyName(state) {
        return state.user && state.user.company.name
    },
    loadingUser(state) {
        return state.loadingUser
    }
}

const mutations = {
    setUser(state, payload) {
        state.user = payload
    },
    setLoadingUser(state, payload) {
        state.loadingUser = !!payload
    }
}

const actions = {
    initUser({ commit }, payload) {
        commit('setUser', payload)
        commit('setLoadingUser', false)
    },
    resetUser({ commit }) {
        commit('setLoadingUser', true)
        commit('setUser', null)
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}